export default LineArrow;
declare class LineArrow extends Group {
    type: string;
    arrowTop: Line;
    topPoints: any[];
    arrowLength: Line;
    setLength(length: any): void;
    applyQuaternion(quaternion: import("three").Quaternion): LineArrow;
    rotateOnAxis(axis: Vector3, angle: number): LineArrow;
    rotateOnWorldAxis(axis: Vector3, angle: number): LineArrow;
    rotateX(angle: number): LineArrow;
    rotateY(angle: number): LineArrow;
    rotateZ(angle: number): LineArrow;
    translateOnAxis(axis: Vector3, distance: number): LineArrow;
    translateX(distance: number): LineArrow;
    translateY(distance: number): LineArrow;
    translateZ(distance: number): LineArrow;
    add(...object: import("three").Object3D[]): LineArrow;
    remove(...object: import("three").Object3D[]): LineArrow;
    attach(object: import("three").Object3D): LineArrow;
    clone(recursive?: boolean | undefined): LineArrow;
    copy(source: LineArrow, recursive?: boolean | undefined): LineArrow;
}
import Group from "./Group";
import Line from "./Line";
import { Vector3 } from "three/src/math/Vector3";
